# Update Share Permissions

Launch stage: GA

`PATCH /api/2.1/unity-catalog/shares/{name}/permissions`

Updates the permissions for a data share in the metastore.
 The caller must have both the USE_SHARE and SET_SHARE_PERMISSION privileges on the metastore,
 or be the owner of the share.

 For new recipient grants, the user must also be the owner of the recipients.
 recipient revocations do not require additional privileges.

API scopes: sharing

## Path parameters

- `name` (string, optional)
  The name of the share.

## Request body

- `omit_permissions_list` (boolean, optional)
  Optional. Whether to return the latest permissions list of the share in the response.
- `changes` (array of object, optional)
  Array of permissions change objects.
  - `principal` (string, optional)
    The principal whose privileges we are changing.
     Only one of principal or principal_id should be specified, never both at the same time.
  - `add` (array of string, optional)
    The set of privileges to add.
  - `remove` (array of string, optional)
    The set of privileges to remove.

## Returns

- `privilege_assignments` (array of object, optional)
  The privileges assigned to each principal
  - `principal` (string, optional)
    The principal (user email address or group name).
     For deleted principals, `principal` is empty while `principal_id` is populated.
  - `privileges` (array of string, optional)
    The privileges assigned to the principal.
    Example: `SELECT`

## Response

```json
{
  "privilege_assignments": [
    {
      "principal": "string",
      "privileges": "SELECT"
    }
  ]
}
```

